Authenticate a user via Google Sign-In by providing a Google access token.Documentation Index
Fetch the complete documentation index at: https://docs.blobhub.io/llms.txt
Use this file to discover all available pages before exploring further.
POST /auth/google/signin
Request Body
| Parameter | Type | Required | Description |
|---|---|---|---|
access_token | string | Yes | Valid Google OAuth2 access token. |
email | string | Yes | User’s email address associated with the token. |
name | string | Yes | User’s full name. |
external_id | string | Yes | User’s unique Google ID. |
Response
| Parameter | Type | Description |
|---|---|---|
access_token | string | Short-lived JWT access token for API access. |
refresh_token | string | Long-lived JWT refresh token. |
expires_at | integer | Timestamp (ms) when the access token expires. |

